Subject: Re: [PATCH v2 2/6] gnu: curl: Update to 8.13.0 and ungraft [fixes CVE-2025-0725].

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 21 May 2025 18:11:44 +0900

Hi,

Efraim Flashner <[email-masked]> writes:

> On Tue, May 20, 2025 at 12:26:30PM +0900, Maxim Cournoyer wrote:
>> Hi,
>> 
>> Maxim Cournoyer <[email-masked]> writes:
>> 
>> > * gnu/packages/curl.scm (curl): Update to 8.13.0.
>> 
>> A note: this breaks rust-1.82, which fails to detect curl.  Apparently
>> that happens via one of its bundled crates (curl-sys), so I suppose we'd
>> need to patch it with a fresher one.  I'm not sure what is the right
>> approach or how to do that, so I'm adding the rust team in CC for input.
>> 
>
> I'm currently unable to build cmake-bootstrap-3.24.2 with this patch
> applied.  Am I missing some patches?

I've taken this from a branch that had a couple other commits, but I don't see what would
impact cmake.  What does the build error say?

-- 
Thanks,
Maxim